=== debian/changelog ===
jellyfish (2.3.0-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:06 +0100

jellyfish (2.3.0-4) unstable; urgency=medium

  * Remove NEWS.Debian now that we ship the python module again.
  * Force the use of Bash for testing

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 16:19:39 +0100

jellyfish (2.3.0-3) unstable; urgency=medium

  * Upstream only supports AMD64 (Closes: #941920)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 Nov 2019 14:23:43 +0100

jellyfish (2.3.0-2) unstable; urgency=medium

  * Restore jellyfish-examples, needed for the autopkgtest (Closes: #941262)
  * Enable an additional two test categories in the autopkgtests
  * Enabled htslib, to read SAM/BAM/CRAM files
  * Restore python3-dna-jellyfish package

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 27 Sep 2019 18:29:29 +0200

jellyfish (2.3.0-1) unstable; urgency=medium

  * Team upload

  [Andreas Tille]
  * Install config.h which is needed by sailfish package
  * New upstream version
  * debhelper-compat 12

  [Steffen Moeller]
  * Standards-Version: 4.4.0
  * d/u/metadata: Added ref to conda
  * deactivated installation of examples, which have changed considerably
  * removed build-dependency on python2 (prime reason to upload)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 13:37:07 +0200
