=== debian/watch ===
version=4

https://github.com/gmarcais/Jellyfish/releases .*/[jelyfishv]*\.*(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
