=== debian/changelog ===
jellyfish (2.3.1-4build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:21:01 +0000

jellyfish (2.3.1-4build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:12:43 +0000

jellyfish (2.3.1-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/patches/portability: forwarded upstream.

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * Disable i386 in Salsa CI

 -- Andreas Tille <tille@debian.org>  Mon, 09 Dec 2024 07:54:45 +0100

jellyfish (2.3.1-3) unstable; urgency=medium

  * Forwarded several patches upstream.
  * debian/patches/fix_catch.patch is no longer used, remove it.
  * Point to the Jellyfish 2.0 homepage
  * d/control: simplify architecture specifications by build-dep'ing on
    architecture-is-little-endian.
  * d/patches/drop_distutils: upgrade to setuptools.
  * d/control: s/pkg-config/pkgconf/g
  * d/control: stop building on 32-bit architectures, as per upstream's
    wishes: https://github.com/gmarcais/Jellyfish/pull/202#issuecomment-
    2007544485
  * d/control: undo the t64 migration, no longer needed.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Mar 2024 18:21:25 +0100

jellyfish (2.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064157

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 13:23:36 +0000

jellyfish (2.3.1-2) unstable; urgency=medium

  [ Zhang Na ]
  * d/control: add loong64 support (Closes: #1059550)

 -- Étienne Mollier <emollier@debian.org>  Mon, 01 Jan 2024 11:43:16 +0100

jellyfish (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * manpage_whatis_entry.patch: reduce.
    Most of the issues it addressed are now sorted, except the "\-"
    separating the whatis field.
  * reproducible.patch: remove: applied upstream.
  * fix_replacement_of_-L_option.patch: remove: applied upstream.
  * patch test_needs_bash: refresh.
  * fix-autoreconf.patch: delete: applied upstream.
  * gcc-12.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Dec 2023 18:21:15 +0100

jellyfish (2.3.0-17) unstable; urgency=medium

  * d/clean: new: cleanup build artifacts. (Closes: #1046793)
  * d/rules: cleanup dh_auto_clean override.
    This is made possible by the introduction of the d/clean file.
  * d/rules: remove config.h from header package.
    This fixes PACKAGE_NAME macro definition collision with potential
    autotools consumers in reverse dependencies, per lintian warning.
  * d/libjellyfish-2.0-2.lintian-overrides: fix broken override.
  * d/libjellyfish-2.0-2.lintian-overrides: remove unused override.
  * d/jellyfish-examples.lintian-overrides: renamed.
    The file is renamed to d/jellyfish.lintian-overrides.  The content is also
    adjusted to reflect that the overriden spelling error moved package.

 -- Étienne Mollier <emollier@debian.org>  Tue, 05 Dec 2023 19:11:55 +0100

jellyfish (2.3.0-16) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/rules: output report when tests fail.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Rebuild using gcc-13
    Closes: #1037702

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jul 2023 15:11:33 +0200

jellyfish (2.3.0-15) unstable; urgency=medium

  * Fix dh_missing
    Closes: #1017261

 -- Andreas Tille <tille@debian.org>  Wed, 28 Sep 2022 21:48:56 +0200

jellyfish (2.3.0-14) unstable; urgency=medium

  * Add gcc-12.patch: fix ftbfs with gcc-12.
    Thanks to Guillaume Marçais (Closes: #1012953)
  * d/copyright: identify randomc.h is under GPL-3.
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Jun 2022 23:10:04 +0200

jellyfish (2.3.0-13) unstable; urgency=medium

  * Disable reprotest
  * Use python configuration from autoconf-archive
    Closes: #1009451

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2022 09:28:09 +0200

jellyfish (2.3.0-12) unstable; urgency=medium

  * Do not hardcode Perl version
    Closes: #993326

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 09:16:42 +0200

jellyfish (2.3.0-11) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Homepage
    Closes: #983273

  [ Étienne Mollier ]
  * d/watch: repair broken link to github
  * add fix-autoreconf.patch; fix ftbfs with autoreconf 2.70  (Closes: #978843)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libjellyfish-2.0-dev: Drop Multi-Arch: same.
    + jellyfish-examples: Add Multi-Arch: foreign.
  * d/control: add myself to uploaders

 -- Étienne Mollier <emollier@debian.org>  Sat, 28 Aug 2021 21:01:20 +0200

jellyfish (2.3.0-10) unstable; urgency=medium

  [ Adrian Bunk ]
  * Also fix building with -l and -I in builddir in the existing -L fix
    Closes: #976340

 -- Andreas Tille <tille@debian.org>  Tue, 02 Mar 2021 12:50:29 +0100

jellyfish (2.3.0-9) unstable; urgency=medium

  * Team upload.
  * Silence additional warning/error appearing with -O3.
    Closes: #973431
  * Restrict to architectures that support the atomic instructions used by
    upstream.
    Closes: #976340

 -- Sascha Steinbiss <satta@debian.org>  Sun, 21 Feb 2021 12:09:45 +0100

jellyfish (2.3.0-8) unstable; urgency=medium

  * Add Breaks+Replaces: jellyfish-examples (<< 2.3.0-7)
    Closes: #976429

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 09:54:41 +0100

jellyfish (2.3.0-7) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * For jellyfish-examples drop 'jellyfish' to a recommends from a depends.

  [ Nilesh Patra ]
  * Enable build on 32bit architectures
    Closes: #962184

  [ Andreas Tille ]
  * Ignore tests on 32 bit architectures since test data are to big
  * Move some arch dependant binaries from examples to jellyfish package

