=== debian/control ===
--- 
+++ 
@@ -2,31 +2,37 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shaun Jackman <sjackman@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <michael.crusoe@gmail.com>
+           Michael R. Crusoe <crusoe@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               architecture-is-little-endian,
+               architecture-is-64-bit,
                d-shlibs,
+               autoconf-archive,
                yaggo,
-               pkg-config,
+               pkgconf,
                bc,
                time,
                procps,
                swig,
                python3-all-dev,
-               dh-python,
+               dh-sequence-python3,
+               python3-setuptools,
                perl,
                chrpath,
                libhts-dev,
                dos2unix,
                samtools
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/jellyfish
 Vcs-Git: https://salsa.debian.org/med-team/jellyfish.git
-Homepage: https://www.cbcb.umd.edu/software/jellyfish/
+Homepage: https://www.genome.umd.edu/jellyfish.html
+Rules-Requires-Root: no
 
 Package: jellyfish
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
@@ -46,7 +52,10 @@
  format using the "jellyfish dump" command.
 
 Package: libjellyfish-2.0-2
-Architecture: amd64
+Provides: libjellfish-2.0-2t64 (= ${binary:Version})
+Replaces: libjellyfish-2.0-2t64
+Conflicts: libjellyfish-2.0-2t64
+Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
@@ -70,8 +79,7 @@
  jellyfish is linked to.
 
 Package: libjellyfish-2.0-dev
-Architecture: amd64
-Multi-Arch: same
+Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
@@ -94,7 +102,7 @@
  header files)
 
 Package: python3-dna-jellyfish
-Architecture: amd64
+Architecture: any
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
@@ -117,7 +125,7 @@
  This package contains the Python bindings of jellyfish.
 
 Package: libjellyfish-perl
-Architecture: amd64
+Architecture: any
 Multi-Arch: same
 Section: perl
 Depends: ${perl:Depends},
@@ -141,10 +149,11 @@
  This package contains the Perl bindings of jellyfish.
 
 Package: jellyfish-examples
-Architecture: amd64
-Depends: jellyfish,
-         ${shlibs:Depends},
+Architecture: all
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: jellyfish
 Description: count k-mers in DNA sequences (examples for testing)
  JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
  DNA. A k-mer is a substring of length k, and counting the occurrences
