=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,11 @@
 export PYBUILD_BUILD_ARGS=build_ext -L${CURDIR}/.libs
 
 export DEB_LDFLAGS_MAINT_APPEND = -lpthread
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-nonnull
 export PYBUILD_NAME = dna_jellyfish
 
 %:
-	dh $@ --with python3
+	dh $@
 
 #override_dh_installexamples:
 #	dh_installexamples
@@ -26,11 +27,19 @@
 #	sed '/BUILDDIR=/d' debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/compat.sh*
 #	rm -f debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/swig*
 
+override_dh_update_autotools_config:
+	# use python configuration from autoconf-archive
+	mv m4/m4-ax_python_devel.m4 /tmp
+	dh_update_autotools_config
+
 override_dh_auto_install:
 	chrpath --delete bin/.libs/*
 	dh_auto_install -- install-data
 	dh_auto_install --sourcedirectory=swig/python --buildsystem=pybuild
 	dh_auto_install --sourcedirectory=swig/perl5
+	ls -l debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
+	if [ ! -e debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so ] ; then sleep 1; fi
+	chmod +w debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
 	chrpath --delete debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
 	dh_install
 	d-shlibmove --commit \
@@ -47,27 +56,13 @@
 	dh_auto_configure -- --enable-swig --enable-perl-binding --enable-htslib --enable-python-binding PYTHON=/usr/bin/python3
 	dh_auto_configure --sourcedirectory=swig/perl5
 	dh_auto_configure --sourcedirectory=swig/python --buildsystem=pybuild
+	mv /tmp/m4-ax_python_devel.m4 m4
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	if [ -d debian/tmp_save_tests ] ; then \
 	    mv debian/tmp_save_tests/* tests ; \
 	    rmdir debian/tmp_save_tests ; \
 	fi
-	rm -f tests/compat.sh
-	rm -f swig/python/jellyfish* # swig/python/dna_jellyfish.py
-	rm -f swig/perl5/blib/arch/auto/jellyfish/jellyfish.so
-	rm -f swig/perl5/blib/bin/.exists
-	rm -f swig/perl5/blib/lib/.exists
-	rm -f swig/perl5/blib/lib/auto/jellyfish/.exists
-	rm -f swig/perl5/blib/man1/.exists
-	rm -f swig/perl5/blib/man3/.exists
-	rm -f swig/perl5/blib/script/.exists
-	rm -f swig/perl5/jellyfish.bs
-	rm -f swig/perl5/pm_to_blib
-	rm -rf swig/perl5/MYMETA.json swig/perl5/MYMETA.yml swig/perl5/Makefile swig/perl5/blib/
-
-
 
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests
@@ -85,3 +80,28 @@
 #override_dh_auto_test:
 #	BIG=1 dh_auto_test
 #	false
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+	echo "Test data are to big for 32bit architectures thus no testing is done"
+else
+	if ! dh_auto_test \
+	; then echo "E: tests failed, ./test-suite.log follows:" \
+	;      cat ./test-suite.log \
+	;      echo "E: end of ./test-suite.log after test failure." \
+	;      exit 1 \
+	; fi
+endif
+endif
+
+override_dh_missing:
+	# Python files are just installed
+	rm -rf debian/tmp/usr/lib/python3/dist-packages
+	# Necessary Perl files are just installed
+	rm -rf debian/tmp/usr/lib/perl/5.*
+	dh_missing
+
+execute_after_dh_install:
+	# Fix PACKAGE_NAME defined in config.h colliding with potential reverse
+	# dependencies autotools invocations, per lintian warning.
+	rm -vf debian/libjellyfish-2.0-dev/usr/include/jellyfish/config.h
