=== debian/watch ===
version=4

https://github.com/gmarcais/Jellyfish/tags \
	archive/refs/tags/[vV]?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
